=== debian/changelog ===
lomiri-notifications (1.3.0~git20221006.bbc9b92-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1021369).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Oct 2022 14:01:01 +0200
