=== debian/control ===
Source: lomiri-notifications
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Marius Gripsgard <marius@ubports.com>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               pkg-config,
               qtdeclarative5-dev,
               qtbase5-dev-tools,
               liblomiri-api-dev (>= 0.1.1),
               libqtdbustest1-dev,
# For Qml tests
               qml-module-qtquick2,
               qml-module-qttest,
               qtchooser,
               qtdeclarative5-dev-tools,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-notifications
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-notifications.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-notifications/

Package: qml-module-lomiri-notifications
Provides: lomiri-notifications-impl,
          lomiri-notifications-impl-3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Lomiri Notifications - QML module
 Lomiri's implementation of a Free Desktop Notification server. It also
 provides some additional features as needed on alternative platforms,
 such as mobile.
 .
 Since the shell is implemented in QML, this functionality is implemented
 as a QML plugin. Notification status is provided as a
 QAbstractListModel, making integration simple. The exact form of the API
 is defined by the shell, Lomiri notifications only implements it.
 .
 Lomiri notifications does not and will not provide a C/C++ API for
 sending or receiving notifications. It is QML only.
