=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=1.3.0~git%cd.%h" \
https://gitlab.com/ubports/development/core/lomiri-notifications \
HEAD debian uupdate
