## lomiri-notifications 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-project(notification-server C CXX)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.5)
+
+project(lomiri-notifications VERSION 1.3.0 LANGUAGES C CXX)
 
 set(SONAME 1)
-set(VERSION 1.0)
 set(SOVERSION 1.0.0)
 
 if(PROJECT_BINARY_DIR STREQUAL PROJECT_SOURCE_DIR)
