=== debian/changelog ===
lomiri-notifications (1.3.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:48:31 +1100

lomiri-notifications (1.3.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:45:32 +0000

lomiri-notifications (1.3.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches:
    + Drop 1001_python3-in-examples-shebang.patch. Applied upstream.
    + Rebase 0001_copyright-headers-Use-uniform-spelling-of-Canonical-.patch.
  * debian/watch:
    + Start watching upstream releases.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 15:19:34 +0100
