=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lomiri-notifications
 Section: libs
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@ubports.com>,
 Build-Depends: debhelper-compat (= 13),
@@ -16,7 +17,7 @@
                qml-module-qttest,
                qtchooser,
                qtdeclarative5-dev-tools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-notifications
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-notifications.git
