## lomiri-notifications 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-notifications VERSION 1.3.0 LANGUAGES C CXX)
+project(lomiri-notifications VERSION 1.3.1 LANGUAGES C CXX)
 
 set(SONAME 1)
 set(SOVERSION 1.0.0)
@@ -36,6 +36,9 @@
 
 find_package(Qt5Widgets REQUIRED)
 include_directories(${Qt5Widgets_INCLUDE_DIRS})
+
+find_package(Qt5Quick REQUIRED)
+find_package(Qt5Test REQUIRED)
 
 # Workaround for https://bugreports.qt-project.org/browse/QTBUG-29987
 set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
