=== src/CMakeLists.txt ===
--- 
+++ 
@@ -73,7 +73,7 @@
   notifybackend
 )
 
-qt5_use_modules(notifybackend Widgets DBus Qml)
+target_link_libraries(notifybackend Qt5::Widgets Qt5::DBus Qt5::Qml)
 
 execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=plugindir_suffix lomiri-shell-api OUTPUT_VARIABLE SHELL_INSTALL_QML OUTPUT_STRIP_TRAILING_WHITESPACE)
 if(SHELL_INSTALL_QML STREQUAL "")
