=== test/CMakeLists.txt ===
--- 
+++ 
@@ -4,15 +4,12 @@
     target_link_libraries(${NAME}
         notifybackend
         ${QTDBUSTEST_LDFLAGS}
-    )
-
-    qt5_use_modules(${NAME}
-        Core
-        DBus
-        Gui
-        Qml
-        Test
-        Widgets
+        Qt5::Core
+        Qt5::DBus
+        Qt5::Gui
+        Qt5::Qml
+        Qt5::Test
+        Qt5::Widgets
     )
 
     add_test(${NAME} ${NAME})
