=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,10 @@
   ${GUI_HEADERS}
 )
 
-qt5_use_modules(viewer Widgets)
-
-target_link_libraries(viewer notifybackend)
+target_link_libraries(viewer
+  Qt5::Widgets
+  notifybackend
+)
 
 # QMLtest app
 #############
@@ -21,14 +22,13 @@
   qmltest.cpp
 )
 
-qt5_use_modules(qmltest
-  Qml
-  Quick
-  DBus
-  Widgets
+target_link_libraries(qmltest
+  Qt5::Qml
+  Qt5::Quick
+  Qt5::DBus
+  Qt5::Widgets
+  notifybackend
 )
-
-target_link_libraries(qmltest notifybackend)
 
 # DBus server app
 #################
@@ -39,12 +39,11 @@
   ${GUI_HEADERS}
 )
 
-qt5_use_modules(dbusserver
-  Widgets
-  DBus
+target_link_libraries(dbusserver
+  Qt5::Widgets
+  Qt5::DBus
+  notifybackend
 )
-
-target_link_libraries(dbusserver notifybackend)
 
 # DBus client app
 #################
@@ -55,12 +54,11 @@
   ${GUI_HEADERS}
 )
 
-qt5_use_modules(dbusclient
-  Widgets
-  DBus
+target_link_libraries(dbusclient
+  Qt5::Widgets
+  Qt5::DBus
+  notifybackend
 )
-
-target_link_libraries(dbusclient notifybackend)
 
 # Move files around
 ###################
